Description

The action "Set as atlas feature" is automatically added if a layer is used as Atlas coverage layer.

However, this action type does not show up in the actions list of the "Layer properties" --> "Actions" tab and thus can't be used where

other actions can be used, e.g. as action buttons in the attribute table.

It would be good if the "Set as atlas feature" action can be exposed similar to other actions in the actions tab.

Associated revisions

Revision e985f2c9 - 2016-07-06 01:49 AM - Nyall Dawson

Also show map layer actions in attribute table (fix #15127)

History

#1 - 2016-06-26 01:53 AM - Matthias Kuhn

The current solution with the two different concepts of actions (QgsMapLayerActionRegistry and QgsAttributeAction) causes a lot of additional code

throughout the codebase to handle both cases.

I think this could be something to clean up for QGIS 3.0 with one, unified concept of actions. There could be application provided, non-editable actions

(e.g. set as atlas feature) similar to the application provided, non-editable variables.

PS: opened issue https://github.com/qgis/qgis3.0_api/issues/52

#2 - 2016-07-05 04:54 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"e985f2c9247e3ee2bc6715643766d15abc6e9c61".

#3 - 2016-07-05 10:53 PM - Andreas Neumann

- File qgis_actions_column.png added

- File qgis_actions_list_in_layer_properties.png added

Hi Nyall,
https://github.com/qgis/qgis3.0_api/issues/52


Thank you for this fix. However, my issue still remains unsolved. I may not have expressed myself clearly. What I would need is a way to add the "Set as

atlas feature for ..." action to the actions list in the layer properties (e.g. by including it in the "Default actions" or by adding it manually somehow - if I know

how. See my first screenshot I am attaching to this update.

The goal is to include a button for "Set as atlas feature for ..." in the new Action column which was introduced in 2.16 in the attribute table. See my second

screenshot.

Do you think this could be possible somehow?

Maybe with some Python code and a Python action?

Thank you for having a look at it again!

Andreas

#4 - 2016-07-05 10:54 PM - Andreas Neumann

- Status changed from Closed to Reopened

#5 - 2016-07-06 01:32 AM - Nyall Dawson

I can close this now, right?

#6 - 2016-07-07 12:58 AM - Andreas Neumann

- Resolution set to fixed/implemented

- Status changed from Reopened to Closed

I tested it on Linux and I can see the buttons in the actions column of the attribute table. Due to a lack of Windows build I can just assume that it works on

Windows as well. If not, I can still reopen again.

Thanks a lot and sorry about the confusion.
